Bug 619005 - LVMError: lvcreate failed for vg_devel4/lv_swap: Unable to create new logical volume with no extents
LVMError: lvcreate failed for vg_devel4/lv_swap: Unable to create new logic...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
anaconda_trace_hash:9b2eab2753dec5b91...
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2010-07-28 06:28 EDT by Karsten Hopp
Modified: 2013-05-12 18:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-12 18:07:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Don't try to create a logical partition with size 0 (1.93 KB, patch)
2010-07-28 06:34 EDT, Karsten Hopp
no flags Details | Diff
anaconda 15.25 exception report (1.10 MB, text/plain)
2011-04-04 11:24 EDT, Jan Stodola
no flags Details

  None (edit)
Description Karsten Hopp 2010-07-28 06:28:41 EDT
The following was filed automatically by anaconda:
anaconda 14.11 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.6/site-packages/pyanaconda/storage/devicelibs/lvm.py", line 368, in lvcreate
    raise LVMError("lvcreate failed for %s/%s: %s" % (vg_name, lv_name, msg))
  File "/usr/lib64/python2.6/site-packages/pyanaconda/storage/devices.py", line 2391, in create
    lvm.lvcreate(self.vg.name, self._name, self.size, progress=w)
  File "/usr/lib64/python2.6/site-packages/pyanaconda/storage/deviceaction.py", line 204, in execute
    self.device.create(intf=intf)
  File "/usr/lib64/python2.6/site-packages/pyanaconda/storage/devicetree.py", line 700, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib64/python2.6/site-packages/pyanaconda/storage/__init__.py", line 309, in doIt
    self.devicetree.processActions()
  File "/usr/lib64/python2.6/site-packages/pyanaconda/packages.py", line 109, in turnOnFilesystems
    anaconda.storage.doIt()
  File "/usr/lib64/python2.6/site-packages/pyanaconda/dispatch.py", line 209, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib64/python2.6/site-packages/pyanaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib64/python2.6/site-packages/pyanaconda/text.py", line 549, in run
    anaconda.dispatch.gotoNext()
  File "/usr/bin/anaconda", line 896, in <module>
    anaconda.intf.run(anaconda)
LVMError: lvcreate failed for vg_devel4/lv_swap:   Unable to create new logical volume with no extents
Comment 1 Karsten Hopp 2010-07-28 06:28:46 EDT
Created attachment 434973 [details]
Attached traceback automatically from anaconda.
Comment 2 Karsten Hopp 2010-07-28 06:34:08 EDT
Created attachment 434976 [details]
Don't try to create a logical partition with size 0

I'm not sure about growable partitions, are they allowed to have an minimum size of 0 ? If so, this patch needs some more work
Comment 3 Bishop Clark 2010-08-28 23:46:05 EDT
I ran into this error with a kickstart like:

logvol /home --fstype ext3 --name=home --vgname=vg01  [snip]
  --size 1 --grow --maxsize 5120

I suspect the 'size 1' is below the extent size (32 for me), and is thus rounded down (can we round it up?  two birds, one stone) and the resulting parameter passed into the lvcreate is 0.

In my case, after seeing this error, I bumped the size of the VMDK and restarted my kickstart.  Same issue with 30Gb free, so I'm sure it had enough space to allocate.  After adjusting my --size to 32 (mb) initially, the error went away.  If I have time later, I'll grovel the code to be sure -- this is just a guess, right now, based on the behaviour, but I'd bet a latte on it.
Comment 4 Jan Stodola 2011-04-04 11:24:27 EDT
Created attachment 489797 [details]
anaconda 15.25 exception report

Reproducible with anaconda 15.25. When user selects autopartitioning, anaconda creates swap with size 0 MB:

vg_rtt6     37440
 lv_root    36928      /      ext4
 lv_swap        0             swap
 lv_boot      500      /boot  ext4
 Free          12

There is a traceback when writing changes to disks.
Comment 5 Fedora End Of Life 2013-04-03 16:21:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Adam Williamson 2013-05-12 18:07:22 EDT
dcantrell marked this as POST on 2011-04-19. The patch was https://www.redhat.com/archives/anaconda-devel-list/2011-April/msg00230.html . So far as I can tell it was never reviewed and pushed. However, the relevant file - pyanaconda/iutil.py - is rather different now, and the 'minswap' stuff no longer exists in anaconda or blivet git that I can see. So I'm pretty sure this bug report is now irrelevant.

Karsten, Bishop - if you guys still find this use case relevant, please test it with F18 or an F19 build and file a new bug if it's broken in some other way, but this bug report is just obsolete now, the relevant code no longer exists.

Note You need to log in before you can comment on or make changes to this bug.